%define		oname		QupZilla
%define		major		1
%define		libname		%mklibname %{oname} %{major}
%define		develname	%mklibname %{oname} -d

Name:		qupzilla
Summary:	Fast browser based on QtWebKit
Version:	1.8.9
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv3+ and BSD and LGPLv2+ and GPLv2+ and MPL
URL:		http://www.qupzilla.com/
# git https://github.com/%%{oname}/%%{name}/archive/v%%{version}.tar.gz
Source0:	https://github.com/%{oname}/%{name}/releases/download/v%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	qt5gui-private-devel
BuildRequires:	qttools5
BuildRequires:	dos2unix
BuildRequires:  pkgconfig(hunspell)

Requires:	%{name}-core	= %{version}-%{release}
Requires:	%{name}-plugins	= %{version}-%{release}
Requires:	qtbase5-database-plugin-sqlite

%description
QupZilla is a new and very fast QtWebKit browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, QupZilla
has grown into a feature-rich browser.

QupZilla has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

QupZilla's main aim is to be a very fast and very stable QtWebKit browser
available to everyone. There are already a lot of QtWebKit browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. QupZilla is trying
to fill this gap by providing a very stable browsing experience.

%package core
Summary:	%{oname} web browser core package
Group:		Networking/WWW
Provides:	webclient
Requires:	%{libname} = %{version}-%{release}

%description core
QupZilla is a new and very fast QtWebKit browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, QupZilla
has grown into a feature-rich browser.

QupZilla has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

QupZilla's main aim is to be a very fast and very stable QtWebKit browser
available to everyone. There are already a lot of QtWebKit browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. QupZilla is trying
to fill this gap by providing a very stable browsing experience.

%package plugins
Summary:	Various plugins for %{oname} web browser
Group:		Networking/WWW
Requires:	%{name}-core = %{version}

%description plugins
QupZilla Plugins are dynamically loaded shared libraries (*.so) that can extend
application in almost any way. This package contains the following plugins:

* Mouse Gestures
* Access Keys Navigation
* Personal Information Manager
* GreaseMonkey

%package -n %{libname}
Summary:	%{oname} shared library
Group:		System/Libraries

%description -n %{libname}
Shared library used by %{oname} web browser.

%package -n %{develname}
Summary:	%{oname} development files
Group:		Development/C++
Requires:	%{libname} = %{version}

%description -n %{develname}
Development files for %{libname} library.

%prep
%setup -q -n %{oname}-%{version}

dos2unix COPYRIGHT README.md

%build
export USE_LIBPATH=%{_libdir}/
export USE_WEBGL="true"
%qmake_qt5
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

cat > %{name}.lang << EOF
%lang(ar_SA) %{_datadir}/%{name}/locale/ar_SA.qm
%lang(bg_BG) %{_datadir}/%{name}/locale/bg_BG.qm
%lang(ca_ES) %{_datadir}/%{name}/locale/ca_ES.qm
%lang(cs_CZ) %{_datadir}/%{name}/locale/cs_CZ.qm
%lang(da_DK) %{_datadir}/%{name}/locale/da_DK.qm
%lang(de_DE) %{_datadir}/%{name}/locale/de_DE.qm
%lang(el_GR) %{_datadir}/%{name}/locale/el_GR.qm
%lang(es_ES) %{_datadir}/%{name}/locale/es_ES.qm
%lang(es_MX) %{_datadir}/%{name}/locale/es_MX.qm
%lang(es_VE) %{_datadir}/%{name}/locale/es_VE.qm
%lang(eu_ES) %{_datadir}/%{name}/locale/eu_ES.qm
%lang(fa_IR) %{_datadir}/%{name}/locale/fa_IR.qm
%lang(fi_FI) %{_datadir}/%{name}/locale/fi_FI.qm
%lang(fr_FR) %{_datadir}/%{name}/locale/fr_FR.qm
%lang(gl_ES) %{_datadir}/%{name}/locale/gl_ES.qm
%lang(he_IL) %{_datadir}/%{name}/locale/he_IL.qm
%lang(hr_HR) %{_datadir}/%{name}/locale/hr_HR.qm
%lang(hu_HU) %{_datadir}/%{name}/locale/hu_HU.qm
%lang(id_ID) %{_datadir}/%{name}/locale/id_ID.qm
%lang(it_IT) %{_datadir}/%{name}/locale/it_IT.qm
%lang(ja_JP) %{_datadir}/%{name}/locale/ja_JP.qm
%lang(ka_GE) %{_datadir}/%{name}/locale/ka_GE.qm
%lang(lg) %{_datadir}/%{name}/locale/lg.qm
%lang(lt) %{_datadir}/%{name}/locale/lt.qm
%lang(lv_LV) %{_datadir}/%{name}/locale/lv_LV.qm
%lang(nl_NL) %{_datadir}/%{name}/locale/nl_NL.qm
%lang(nqo) %{_datadir}/%{name}/locale/nqo.qm
%lang(pl_PL) %{_datadir}/%{name}/locale/pl_PL.qm
%lang(pt_BR) %{_datadir}/%{name}/locale/pt_BR.qm
%lang(pt_PT) %{_datadir}/%{name}/locale/pt_PT.qm
%lang(qt_ca) %{_datadir}/%{name}/locale/qt_ca.qm
%lang(qt_el) %{_datadir}/%{name}/locale/qt_el.qm
%lang(qt_nl) %{_datadir}/%{name}/locale/qt_nl.qm
%lang(qt_sr) %{_datadir}/%{name}/locale/qt_sr.qm
%lang(qt_sr@ijekavian) %{_datadir}/%{name}/locale/qt_sr@ijekavian.qm
%lang(qt_sr@ijekavianlatin) %{_datadir}/%{name}/locale/qt_sr@ijekavianlatin.qm
%lang(qt_sr@latin) %{_datadir}/%{name}/locale/qt_sr@latin.qm
%lang(ro_RO) %{_datadir}/%{name}/locale/ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/locale/ru_RU.qm
%lang(sk_SK) %{_datadir}/%{name}/locale/sk_SK.qm
%lang(sr) %{_datadir}/%{name}/locale/sr.qm
%lang(sr@ijekavian) %{_datadir}/%{name}/locale/sr@ijekavian.qm
%lang(sr@ijekavianlatin) %{_datadir}/%{name}/locale/sr@ijekavianlatin.qm
%lang(sr@latin) %{_datadir}/%{name}/locale/sr@latin.qm
%lang(sv_SE) %{_datadir}/%{name}/locale/sv_SE.qm
%lang(tr_TR) %{_datadir}/%{name}/locale/tr_TR.qm
%lang(uk_UA) %{_datadir}/%{name}/locale/uk_UA.qm
%lang(uz@Latn) %{_datadir}/%{name}/locale/uz@Latn.qm
%lang(zh_CN) %{_datadir}/%{name}/locale/zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/locale/zh_TW.qm
EOF

%files

%files core -f %{name}.lang
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%doc AUTHORS COPYRIGHT FAQ README.md
%dir %{_datadir}/%{name}/locale
%dir %{_libdir}/qupzilla

%files plugins
%{_libdir}/qupzilla/*.so

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{oname}.so


%changelog
* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.8.9-1.mga5
+ Revision: 920173
- 1.8.9 (sync with cauldron, mga#17414)

* Sat Mar 07 2015 luigiwalser <luigiwalser> 1.8.6-1.mga5
+ Revision: 817957
- 1.8.6 (mga#14842 and mga#15409)

* Wed Nov 19 2014 doktor5000 <doktor5000> 1.8.3-2.mga5
+ Revision: 797896
- bump release to move from updates_testing to release

* Wed Nov 19 2014 doktor5000 <doktor5000> 1.8.3-1.mga5
+ Revision: 797891
- add missing BuildRequire on pkgconfig(Qt5DBus)
- add missing BuildRequire on qttools5 for lrelease
- added missing BuildRequires on pkgconfig(Qt5Script)
- added missing BuildRequires on pkgconfig(Qt5Concurrent)
- added missing BuildRequires on qt5gui-private-devel
- removed old Requires on qt4-database-plugin-sqlite
- added Requires on qtbase5-database-plugin-sqlite
- use %%qmake_qt5 for QT5 build
- new version 1.8.3
  o added URL to github release for automatic download
- switch to QT5 build
- add BuildRequires on pkgconfig(Qt5WebKitWidgets)
- updated %%{lang} list due to missing detection for QT .qm files
- added appdata.xml file

* Wed Oct 15 2014 umeabot <umeabot> 1.6.6-3.mga5
+ Revision: 741519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.6-2.mga5
+ Revision: 688587
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 matteo <matteo> 1.6.6-1.mga5
+ Revision: 634774
- new version

* Sun Mar 02 2014 matteo <matteo> 1.6.3-1.mga5
+ Revision: 598479
- new stable version

* Mon Oct 21 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 538459
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 matteo <matteo> 1.4.4-1.mga4
+ Revision: 489732
- new version 1.4.4

* Thu Sep 12 2013 matteo <matteo> 1.4.3-3.mga4
+ Revision: 477813
- fixed qupzilla-plugins requirement (switched from qupzilla to qupzilla-core)
- fixed license definition

* Sun Sep 01 2013 matteo <matteo> 1.4.3-2.mga4
+ Revision: 473784
- fixed bad locale definitions into the spec file (see also bug mga#10572)

* Sat Jun 22 2013 matteo <matteo> 1.4.3-1.mga4
+ Revision: 445599
- new version (1.4.3)

* Wed May 29 2013 matteo <matteo> 1.4.1-2.mga4
+ Revision: 432773
- added missing br (bug mga#10319)

* Sun Apr 07 2013 matteo <matteo> 1.4.1-1.mga3
+ Revision: 408986
- dropped old patch
- new version
- fixed qupzilla-core shared library requirement
- fix bug mga#9584

* Sun Jan 13 2013 umeabot <umeabot> 1.3.5-2.mga3
+ Revision: 380124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 matteo <matteo> 1.3.5-1.mga3
+ Revision: 338428
- synced source
- removed wrong condition
- spec file reviewed
- Imported Mandriva package

